//
//  YHAdopterDependentModel.swift
//  galaxy
//
//  Created by EDY on 2024/8/23.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit
import SmartCodable

class YHAdopterDependentDataModel: SmartCodable {
    var info : YHAdopterDependentDataInfoModel = YHAdopterDependentDataInfoModel()
    var docList : [YHAdopterDependentDataDocModel] = []
    
    required init() {
    }
}

class YHAdopterDependentDataInfoModel: SmartCodable {
    var id : Int = 0
    var order_sn : String = ""
    var applicant_name : String = ""
    var order_id : Int = 0
    var dep_name : String = ""
    var dep_nationality : Int = 5 //随迁人国籍0大陆1台湾2澳门3海外
    var status : Int = 0 //状态0待完善,1审核中,2已驳回,3已完成
    var sync_status : Int = 0 //状态0待完善, 0未同步 1已同步
    var created_at : String = ""
    var updated_at : String = ""
    var deleted_at : String = ""
    var is_spouse : Int = 0
    var sync_subset_id : Int = 0

    required init() {
    }
}

class YHAdopterDependentDataDocModel: SmartCodable {
    var id : Int = 0
    var dep_name : String = ""
    var dep_type : Int = 0
    var dep_id : Int = 0
    var order_id : Int = 0
    var dep_nationality : Int = 0
    var is_spouse : Int = 0
    var status : Int = 0
    var created_at : String = ""
    var updated_at : String = ""
    var deleted_at : String = ""
    var reject_reason : String = ""
    var require : String = ""
    var certificates_info : String = ""
    var url : [String] = []

    required init() {
    }
}
